Page MenuHomePhabricator

[clang-tidy] Use --use-color in run-clang-tidy.py
ClosedPublic

Authored by dsanders11 on Oct 24 2020, 5:36 PM.

Details

Summary

Now that D79477 landed, it's a better user experience to use '--use-color' in run-clang-tidy.py and preserving the colored output.

Diff Detail

Event Timeline

dsanders11 created this revision.Oct 24 2020, 5:36 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 24 2020, 5:36 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
dsanders11 requested review of this revision.Oct 24 2020, 5:36 PM
Eugene.Zelenko retitled this revision from Use --use-color in run-clang-tidy.py to [clang-tidy] Use --use-color in run-clang-tidy.py.Oct 25 2020, 7:13 AM
Eugene.Zelenko added a project: Restricted Project.
aaron.ballman accepted this revision.Oct 27 2020, 7:40 AM

This change LGTM, but please wait a few days in case @alexfh (or others) have concerns.

This revision is now accepted and ready to land.Oct 27 2020, 7:40 AM

No one has raised any concerns, so if someone with commit access wants to commit this on my behalf it would be appreciated.. Thanks!

aaron.ballman closed this revision.Nov 2 2020, 5:40 AM

No one has raised any concerns, so if someone with commit access wants to commit this on my behalf it would be appreciated.. Thanks!

I've commit on your behalf in a07a2c88d96cc48d7d381a0300565090c24b9770, thank you for the patch!

Toni added a subscriber: Toni.EditedMay 2 2021, 9:31 PM

Just a note for future changes: This change breaks parsers which relied on no colored input.

And how do we instruct run-clang-tidy.py to run clang-tidy without colors?